## Index

### Variables

- KEY_PARAMETER
- KEY_RETURN_TYPE
- KEY_TYPE
- getMetadataType

### Functions

- makeMetadataGetter

## Variables

### Const KEY_PARAMETER

KEY_PARAMETER: "design:paramtypes" = "design:paramtypes"

- Defined in decorator/util.ts:5

### Const KEY_RETURN_TYPE

KEY_RETURN_TYPE: "design:returntype" = "design:returntype"

- Defined in decorator/util.ts:6

### Const KEY_TYPE

KEY_TYPE: "design:type" = "design:type"

- Defined in decorator/util.ts:4

### Const getMetadataType

getMetadataType: function = makeMetadataGetter<ModelConstructor<any>>(KEY_TYPE)

- Defined in decorator/util.ts:8

#### Type declaration

- - (target: any, targetKey?: undefined | string): T

  - #### Parameters

    - ##### target: any

    - ##### Optional targetKey: undefined | string

    #### Returns T

## Functions

### makeMetadataGetter

- makeMetadataGetter<T>(metadataKey: string): function

- - Defined in decorator/util.ts:10

  #### Type parameters

  - #### T

  #### Parameters

  - ##### metadataKey: string

  #### Returns function

  - - (target: any, targetKey?: undefined | string): T

    - #### Parameters

      - ##### target: any

      - ##### Optional targetKey: undefined | string

      #### Returns T

Generated using TypeDoc